Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.event
Class RemoteServiceEvent

    java.lang.Object
      java.util.EventObject
          net.jini.core.event.RemoteEvent
              org.jini.rio.event.RemoteServiceEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ProvisionMonitorEvent, RemotePropertyChangeEvent, ThresholdEvent

    public class RemoteServiceEvent

extends RemoteEvent
implements Serializable

Wrapper around `RemoteEvent` to allow user defined event objects. Since `RemoteEvent` requires certain parameters to be set in its constructor this class provides set methods for those parameters. The user can extend this class, creating their own event.

Developers of service events will extend this class, creating their own event. When the event handler for an event is invoked to fire the event it will fill in the required parameters.

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.jini.core.event.RemoteEvent
`eventID, handback, seqNum, source`

Constructor Summary
`RemoteServiceEvent(Object source)` Create a new `RemoteServiceEvent`.

Method Summary
`void` | `setEventID(long eventID)` Set the eventID
`void` | `setHandback(MarshalledObject handback)` Set the Handback Object
`void` | `setSequenceNumber(long seqNum)` Set the sequence number

Methods inherited from class net.jini.core.event.RemoteEvent
`getID, getRegistrationObject, getSequenceNumber`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteServiceEvent

    public RemoteServiceEvent(Object source)

  Create a new `RemoteServiceEvent`. This creates a remote event with the `eventID`, `seqNum` and `handback` parameters uninitialized. They are filled in latter by an `EventHandler` when the event is actually sent.

  Parameters:
    `source` - event source

Method Detail

### setEventID

    public void setEventID(long eventID)

  Set the eventID

  Parameters:
    `eventID` - The eventID for the RemoteEvent

### setSequenceNumber

    public void setSequenceNumber(long seqNum)

  Set the sequence number

  Parameters:
    `seqNum` - The sequence number of the RemoteEvent

### setHandback

    public void setHandback(MarshalledObject handback)

  Set the Handback Object

  Parameters:
    `handback` - A MarshalledObject providing a handback mechanism for the RemoteEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.